Lavalite package that provides book management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `willy/book`.

    "willy/book": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Willy\Book\Providers\BookServiceProvider::class,

And also add it to alias

    'Book'  => Willy\Book\Facades\Book::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Willy\\Book\\Seeders\\BookTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Willy\Book\Providers\BookServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Willy\Book\Providers\BookServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Willy\Book\Providers\BookServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/book/{modulename}

**User**

    http://path-to-route-folder/user/book/{modulename}

**Public**

    http://path-to-route-folder/books


### API endpoints

**List**

    http://path-to-route-folder/api/user/book/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/book/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/book/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/book/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/book/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/book/{modulename}/{slug}
    METHOD: GET